Subject: Re: bug#56630: (yasnippet) how to disable TAB <tab> C-i?

From: Noam Postavsky <[email-masked]>
Date: Sun, 31 Jul 2022 18:32:51 -0400

> [email-masked] writes:

> >   (define-key yas-minor-mode-map (kbd "C-i") nil)
> >   (define-key yas-minor-mode-map (kbd "C-c m") 'yas-expand)
> >   (define-key yas-minor-mode-map [(tab)]        nil)
> >   (define-key yas-minor-mode-map (kbd "TAB")    nil)
> >   (define-key yas-minor-mode-map (kbd "<tab>")  nil))

I think there are some redundancies ((kbd "C-i") == (kbd "TAB") and
(kbd "<tab>") ~= [(tab)]), but yes, that should work. I haven't kept
up with yasnippet maintenance, so possibly there is some failure with
more recent Emacs versions (although I don't see any version numbers
mentioned in the bug report)?

Also, it would be useful to have a fully contained minimal
reproducible example, to eliminate mistakes of the sort where you have
accidentally have an extra unnoticed bit code in your init files which
is messing things up, or the yasnippet part in your config isn't
actually being evaluated for some reason.